ApiGeo
Wilayas this courier supports
AuthorizationBearer <token>
Project API key, fc_live_…. Keep keys out of public client code. The trusted Cloud playground accepts credentials temporarily in memory.
In: header
Path Parameters
id*string
Query Parameters
country?string
Length
2 <= length <= 2Default
"DZ"lang?string
Default
"fr"Value in
- "ar"
- "fr"
- "en"
state?string
Length
2 <= length <= 2city?string
pickup?string
homeDelivery?string
Value in
- "true"
- "false"
hasPickup?string
Value in
- "true"
- "false"
expand?string
nearLat?number
Range
-90 <= value <= 90nearLng?number
Range
-180 <= value <= 180nearCity?string
limit?integer
Range
0 < value <= 200Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/geo/couriers/string/states"{ "data": [ { "externalId": "string", "externalName": "string", "stateCode": "string", "homeDelivery": true, "hasPickup": true, "zone": 0, "canonical": { "code": "st", "country": "st", "name": "string", "displayName": "string", "locales": { "ar": "string", "fr": "string", "en": "string" }, "center": { "lat": 0, "lng": 0 }, "extentKm": { "width": 0, "height": 0 }, "bbox": [ 0, 0, 0, 0 ], "h3": "string", "id": "string" } } ]}